<center>
<h1><?_("Network services")></h1>
<h2><?_("Changes made on this screen will not take effect until you restart the Citadel server.")></h2>
</center>
<table border="0">

<tr><td><?_("SMTP MTA port (-1 to disable)")></td><td>
<input type="text" NAME="c_smtp_port" MAXLENGTH="5" VALUE='<?SERV:CFG("c_smtp_port")>'></td></tr>

<tr><td><?_("Correct forged From: lines during authenticated SMTP")></td><td>
<input type="checkbox" NAME="c_rfc822_strict_from" VALUE="yes" <?%("COND:SERVCFG", 1, "c_rfc822_strict_from", 1, "", "CHECKED")>></td></tr>

<tr><td><?_("Flag message as spam, instead of rejecting it")></td><td>
<input type="checkbox" NAME="c_spam_flag_only" VALUE="yes" <?%("COND:SERVCFG", 1, "c_spam_flag_only", 1, "CHECKED", "")>></td></tr>

<tr><td><?_("IMAP listener port (-1 to disable)")></td><td>
<input type="text" NAME="c_imap_port" MAXLENGTH="5" VALUE='<?SERV:CFG("c_imap_port")>'></td></tr>


<tr><td><?_("Network run frequency (in seconds)")></td><td>
<input type="text" NAME="c_net_freq" MAXLENGTH="5" VALUE='<?SERV:CFG("c_net_freq")>'></td></tr>

<tr><td><?_("Server IP address (0.0.0.0 for 'any')")></td><td>
<input type="text" NAME="c_ip_addr" MAXLENGTH="15" VALUE='<?SERV:CFG("c_ip_addr")>'></td></tr>

<tr><td><?_("SMTP MSA port (-1 to disable)")></td><td>
<input type="text" NAME="c_msa_port" MAXLENGTH="5" VALUE='<?SERV:CFG("c_msa_port")>'></td></tr>

<tr><td><?_("IMAP over SSL port (-1 to disable)")></td><td>
<input type="text" NAME="c_imaps_port" MAXLENGTH="5" VALUE='<?SERV:CFG("c_imaps_port")>'></td></tr>

<tr><td><?_("SMTP over SSL port (-1 to disable)")></td><td>
<input type="text" NAME="c_smtps_port" MAXLENGTH="5" VALUE='<?SERV:CFG("c_smtps_port")>'></td></tr>

<tr><td><?_("Instantly expunge deleted messages in IMAP")></td><td>
<input type="checkbox" NAME="c_instant_expunge" VALUE="yes" <?%("COND:SERVCFG", 1, "c_instant_expunge", 1, "CHECKED", "")>></td></tr>

<!-- TODO: allow random quotes in strings -->
<tr><td><?_("Allow unauthenticated SMTP clients to spoof this sites domains")></td><td>
<input type="checkbox" NAME="c_allow_spoofing" VALUE="yes" <?%("COND:SERVCFG", 1, "c_allow_spoofing", 1, "CHECKED", "")>></td></tr>

<tr><td><a href="http://www.postfix.org/tcp_table.5.html"><?_("Postfix TCP Dictionary Port")></a>(<?_("-1 to disable")>)</td><td>
<input type="text" NAME="c_pftcpdict_port" MAXLENGTH="5" VALUE='<?SERV:CFG("c_pftcpdict_port")>'></td></tr>

<tr><td><?_("ManageSieve Port (-1 to disable)")></td><td>
<input type="text" NAME="c_mgesve_port" MAXLENGTH="5" VALUE='<?SERV:CFG("c_mgesve_port")>'></td></tr>

<tr><td><?_("Perform RBL checks upon connect instead of after RCPT")></td><td>
<input type="checkbox" NAME="c_rbl_at_greeting" VALUE="yes" <?%("COND:SERVCFG", 1, "c_rbl_at_greeting", 1, "CHECKED", "")>></td></tr>

<tr><td><?_("Keep original from headers in IMAP")></td><td>
<input type="checkbox" NAME="c_imap_keep_from" VALUE="yes" <?%("COND:SERVCFG", 1, "c_imap_keep_from", 1, "CHECKED", "")>></td></tr>

<tr><td><?_("XMPP (Jabber) client to server port (-1 to disable)")></td><td>
<input type="text" name="c_xmpp_c2s_port" maxlength="5" value='<?SERV:CFG("c_xmpp_c2s_port")>'></td></tr>

<tr><td><?_("XMPP (Jabber) server to server port (-1 to disable)")></td><td>
<input type="hidden" name="c_xmpp_s2s_port" value='<?SERV:CFG("c_xmpp_s2s_port")>'></td></tr>

</table>
